Subject: Re: Deprecating EUI-64 Based IPv6 Addresses

From: Jahangir Hossain <[email-masked]>
Date: Sun, 1 Dec 2013 21:09:36 +0600

> From my perspective, I really don't care how many bits any given
technology uses. If they need a 92.5 bit address, they should use a 92.5
bit address. On the other hand, if they don't need a given address size,
they should not concoct a reason to use it. The IETF should similarly use
address sizes and structures that work will across a variety of lower layer
technologies, and perform the unnatural act of tying itself to one of them,
or appearing to. The value of a virtual address is that it maps to anything…

Agree on Fred's opinion and many thanks for this comments.

Regards  //  Jahangir

On Sun, Dec 1, 2013 at 5:58 AM, Fred Baker (fred) <[email-masked]> wrote:

>
> On Nov 29, 2013, at 7:49 AM, "Pascal Thubert (pthubert)" <
> [email-masked]>
>  wrote:
>
> > I attended .1 meetings in Dallas the week after Vancouver and the
> fashion was more around:
> >
> > - cannot bridge 64  bits address (but the reason is more for
> incompatible MAC expectation in 15.4 like latency than for address
> translation reasons)
> > - should go back to EUI 48 for everything (and the reason was that
> changing all the mibs that have 48 bits in them is a nightmare)
>
> From my perspective, I really don't care how many bits any given
> technology uses. If they need a 92.5 bit address, they should use a 92.5
> bit address. On the other hand, if they don't need a given address size,
> they should not concoct a reason to use it. The IETF should similarly use
> address sizes and structures that work will across a variety of lower layer
> technologies, and perform the unnatural act of tying itself to one of them,
> or appearing to. The value of a virtual address is that it maps to
> anything...
>
> > Cheers,
> >
> > Pascal
> >
> >> -----Original Message-----
> >> From: ipv6 [mailto:[email-masked]] On Behalf Of Alexandru
> Petrescu
> >> Sent: vendredi 29 novembre 2013 14:59
> >> To: Fred Baker (fred); Fernando Gont
> >> Cc: [email-masked]; <draft-gont-6man-deprecate-eui64-based-
> >> [email-masked]>
> >> Subject: Re: Deprecating EUI-64 Based IPv6 Addresses
> >>
> >> sidenote about this intriguing bit...
> >>
> >> Le 25/10/2013 07:16, Fred Baker (fred) a écrit :
> >> [...]
> >>> and note that the IEEE is now (I'm told) discussing 128 bit MAC
> >>> Addresses.
> >>
> >> Found in draft-ieee-rac-oui-restructuring-00 section 4.4.2 'EUI-128
> addresses'.
> >>
> >> Alex
> >>
> >> --------------------------------------------------------------------
> >> IETF IPv6 working group mailing list
> >> [email-masked]
> >> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> >> --------------------------------------------------------------------
> > --------------------------------------------------------------------
> > IETF IPv6 working group mailing list
> > [email-masked]
> > Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> > --------------------------------------------------------------------
>
> -----------------------------------
> "We are learning to do a great many clever things...The next great task
> will be to learn not to do them."
>
> - G. K. Chesterton (1874-1936)
>
>
>
>
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>
>

--